package org.restdoc.server.impl;

/*
 * #%L Java Server implementation %% Copyright (C) 2012 RestDoc org %% Licensed under the Apache License, Version 2.0 (the "License"); you
 * may not use this file except in compliance with the License. You may obtain a copy of the License at
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions
 * and limitations under the License. #L%
 */

/**
 * Exception thrown by the framework on errors
 */
public class RestDocException extends RuntimeException {
	
	private static final long serialVersionUID = 1L;
	
	
	/**
	 * @param message the detail message (which is saved for later retrieval by the getMessage() method).
	 * @param cause the cause (which is saved for later retrieval by the getCause() method). (A null value is permitted, and indicates that
	 *            the cause is nonexistent or unknown.)
	 */
	public RestDocException(final String message, final Throwable cause) {
		super(message, cause);
	}
	
	/**
	 * @param message the detail message (which is saved for later retrieval by the getMessage() method).
	 */
	public RestDocException(final String message) {
		super(message);
	}
	
	/**
	 * @param cause the cause (which is saved for later retrieval by the getCause() method). (A null value is permitted, and indicates that
	 *            the cause is nonexistent or unknown.)
	 */
	public RestDocException(final Throwable cause) {
		super(cause);
	}
	
}
